umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Private Attributes | List of all members
LineNumberArea Class Reference

`#include <codetextedit.h>`

Inheritance diagram for LineNumberArea:

## Public Member Functions
| LineNumberArea (CodeTextEdit *editor)
QSize | sizeHint () const

## Protected Member Functions
void | paintEvent (QPaintEvent *event)

## Private Attributes
CodeTextEdit * | m_codeEditor

## Constructor & Destructor Documentation

## ◆ LineNumberArea()

LineNumberArea::LineNumberArea | ( | CodeTextEdit * | editor | ) |
| inline explicit

## Member Function Documentation

## ◆ paintEvent()

void LineNumberArea::paintEvent | ( | QPaintEvent * | event | ) |
| inline protected

## ◆ sizeHint()

QSize LineNumberArea::sizeHint | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ m_codeEditor

CodeTextEdit* LineNumberArea::m_codeEditor
| private

The documentation for this class was generated from the following file:

- umbrello/dialogs/codetextedit.h